---
title: Notification.onshow
slug: Web/API/Notification/onshow
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - onshow
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>onshow</code></strong> property of the {{domxref("Notification")}} interface specifies an event listener to receive {{domxref("Element/show_event", "show")}} events. These events occur when a {{domxref("Notification")}} is displayed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>Notification</var>.onshow = function() { ... };
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.onshow")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Notification")}}</li>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
